art-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Allows the selection of the required filter level. Cubic filtering is missing because hyper is just as fast to implement and slightly better in quality. System.Enum System.IComparable System.IConvertible System.IFormattable
- Field
  Art.FilterLevel Nearest neighbor implementation. Fastest and lowest quality.
- Field
  Art.FilterLevel Accurate simulation of the PostScript image operator without any interpolation. Each pixed is rendered as a small parallelogra, of solid color, with its edges implemented with antialiasing. It looks like Nearest on enlargement and Bilinear on reduction.
- Field
  Art.FilterLevel Bilinear interpolation. On enlargement its equivalent to point-sampling the ideal bilinear-interpolated image. On reduction, its equivalent to laying down samll tiles and integrating over the coverage area.
- Field
  Art.FilterLevel Slowest and highest quality reconstruction, derived from the hyperbolic filters in Wolberg's "Digital Image Warping". Hyperbolic-filter sampling the ideal hyperbolic-filter interpolated image (its designed to be idempotent for 1:1 pixel mapping).
- Field
  System.Int32 Internal field. Do not use.